//============================================================================================================
//	$Id$
//
//	$Author$
//
//	$DateTime$
//============================================================================================================

#ifndef _LFC1_FILESYSTEMEXP_HPP_
#define _LFC1_FILESYSTEMEXP_HPP_

///	@defgroup LFC1_FILESYSTEM Filesystem class library
///
///	This library contains a set of classes which extends the standard/Boost filesystem library.
///

#if defined(__WIN__)
  #if defined(LFC1_FILESYSTEM_EXPORTS)
  #define LFC1_FILESYSTEM_API __declspec(dllexport)
  #else
  #define LFC1_FILESYSTEM_API __declspec(dllimport)
  #endif
#else
  #if defined(LFC1_FILESYSTEM_EXPORTS)
  #define LFC1_FILESYSTEM_API
  #else
  #define LFC1_FILESYSTEM_API
  #endif
#endif

#endif // _LFC1_FILESYSTEMEXP_HPP_

//============================================================================================================
//	End of Code
//============================================================================================================
