//============================================================================================================
//	$Id$
//
//	$Author$
//
//	$DateTime$
//============================================================================================================

#ifndef _LFC1_MISCEXP_HPP_
#define _LFC1_MISCEXP_HPP_

///	@defgroup LFC1_MISC Miscellaneous class library
///
///	This library contains a set of miscellaneous classes to support the compiler, e.g. name demangling.
///

#if defined(__WIN__)
  #if defined(LFC1_MISC_EXPORTS)
  #define LFC1_MISC_API __declspec(dllexport)
  #else
  #define LFC1_MISC_API __declspec(dllimport)
  #endif
#else
  #if defined(LFC1_MISC_EXPORTS)
  #define LFC1_MISC_API
  #else
  #define LFC1_MISC_API
  #endif
#endif

#endif // _LFC1_MISCEXP_HPP_

//============================================================================================================
//	End of Code
//============================================================================================================
